import java.util.HashSet;
import java.util.List;
import java.util.TreeSet;

public class Grades {
    public static TreeSet<Double> getGradesSetAsTreeSet(){
        TreeSet<Double> gradesSet = new TreeSet<>(); // TreeSet - natural order, HashSet - no order
        gradesSet.add(2.0);
        gradesSet.add(3.0);
        gradesSet.add(3.5);
        gradesSet.add(4.0);
        gradesSet.add(4.5);
        gradesSet.add(5.0);
        return gradesSet;
    }
    public static HashSet<Double> getGradesSetAsHashSet(){
        HashSet<Double> gradesSet = new HashSet<>(); // TreeSet - natural order, HashSet - no order
        gradesSet.add(2.0);
        gradesSet.add(3.0);
        gradesSet.add(3.5);
        gradesSet.add(4.0);
        gradesSet.add(4.5);
        gradesSet.add(5.0);
        return gradesSet;
    }

    public static TreeSet<Double> getGradesTreeSetVs2(){
        TreeSet<Double> gradesSet = new TreeSet<>(); // TreeSet - nadal natural order, pomimo, iż nie dodajemy elementów w kolejności
        gradesSet.add(4.5);
        gradesSet.add(5.0);
        gradesSet.add(2.0);
        gradesSet.add(3.5);
        gradesSet.add(3.0);
        gradesSet.add(4.0);
        return gradesSet;
    }

    public static HashSet<Double> showUniqueGradesAsHashSet(List<Double> gradesList){
        HashSet<Double> gradesSet = new HashSet<>();
        gradesSet.addAll(gradesList);
        return gradesSet;
    }
    public static TreeSet<Double> showUniqueGradesAsTreeSet(List<Double> gradesList){
        TreeSet<Double> gradesSet = new TreeSet<>();
        gradesSet.addAll(gradesList);
        return gradesSet;
    }



}
